
"use strict";

this.name    = "aaaa_aaron"; 
this.version = "1.0";
this.author  = "ChatGPT";

/* ========================================================
		A COUNTER THAT UPDATES THE DAY
=========================================================== */

    this.startUpComplete = function () {
        "use strict";
        if (missionVariables.AAAA_calendar_day === null) {
            missionVariables.AAAA_calendar_day = 0;
            this.dayChanged();
        }
        if (player.ship.docked) {
            this.shipDockedWithStation(player.ship.dockedStation);
        }
        delete this.startUpComplete;
    }

    this.dayChanged = function () {
        "use strict";
        missionVariables.AAAA_calendar_day++;
        if (missionVariables.AAAA_calendar_day > 3) {
            missionVariables.AAAA_calendar_day = 1;
        }
    //    if (missionVariables.AAAA_calendar_day >= this._calenderData.length) {
    //        missionVariables.AAAA_calendar_day = 1;
    //    }
        mission.setInstructions(["AAAA", "Don’t forget to check out my amazing adventures - Aaron Aarts."], this.name);
    }

/* ========================================================
		AN INTERFACE FOR THE F4 SCREEN
=========================================================== */

    this.shipDockedWithStation = function (station) {
        "use strict";
        station.setInterface("aaaa_aaron",
            {title: "Aaron Aarts’ Amazing Adventures",
             category: "AAAA", // expandDescription("[interfaces-category-uncategorised]"),
             summary: "Some Dutch fellow tilts at windmills. After reading, come back tomorrow for the next part of his tale.",
             callback: this._aaaa_showAdventure.bind(this)});
    }

    this.shipWillLaunchFromStation = function (station) {
        "use strict";
        station.setInterface("aaaa_aaron", null);
    }

/* ========================================================
		TODAY'S ADVENTURE
=========================================================== */

    this._aaaa_showAdventure = function () {
        "use strict";
        mission.setInstructions(null, this.name);
        var current = missionVariables.AAAA_calendar_day;
        mission.runScreen({
            screenID: "AAAA_SCREEN_ADVENTURE_" + current,
            allowInterrupt: true,
            exitScreen: "GUI_SCREEN_INTERFACES",
            background: {name: "windmill_" + current + ".png", height: 512},
            title: "Aaron Aarts’ Amazing Adventures",
            messageKey: "aaaa_adventure_" + current
        });
    }

/* ========================================================
			THE END
=========================================================== */